QGIS Application - Bug report #13488
Wrong overwriting behaviour with GRASS algorithms
2015-10-02 03:28 AM - Christophe Bayle

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21533
Description

| tried to use v.clean via the GUI in QGIS 2.10 on a polyline shapefile.

| selected an existing .shp as Cleaned layer target and got the warning 'the file already exists, do you want to delete ?' What i understand
as 'do you want to over write it ?

Clic "Yes"

Uncheck the box "Open the file after executing ..."

Launch the process, everything seems to go as it should

But when i check my file it hasn't been overwrited.

Regards,

C.

History

#1 - 2015-10-06 12:23 PM - Saber Razmjooei

- Affected QGIS version changed from 2.10.1 to master
- Category changed from GRASS to Processing/GRASS
- Target version deleted (Version 2.10)

| can confirm that the overwritting does not work indeed. For me in master, it comes up with an error indicating the output file was not correctly produced.

#2 - 2016-02-09 12:51 AM - Médéric RIBREUX

- Operating System deleted (Winows)

- OS version deleted (7)

- Status changed from Open to In Progress

- Subject changed from Wrong overwriting behaviour with v.clean to Wrong overwriting behaviour with GRASS algorithms

Hello, bug triage...

I've made some tests on your bug and | can confirm that the problem is not related to v.clean only.
If you try to overwrite an already existing file with any GRASS Processing algorithm, there will be no overwrite.

| have made a PR to add the required parameter (--overwrite) to v.out.ogr and r.out.gdal commands.
https://github.com/qgis/QGIS/pull/2771

#3 - 2016-02-09 01:52 AM - Médéric RIBREUX
- Estimated time set to 2.00

- Status changed from In Progress to Closed

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

Hello,

the PR is merged, it will be fixed in QGIS 2.14.

| am closing this bug !
